An error was encountered while running DADA2 in R (return code -9) while running qiime dada2 denoise-paired

Dear all:
I met some problem when i running dada2-denoise-paired,my command is:
*qiime dada2 denoise-paired *
*–i-demultiplexed-seqs demux-paired-end-adaptcut.qza *
*–p-trim-left-f 0 *
*–p-trim-left-r 0 *
*–p-trunc-len-f 0 *
*–p-trunc-len-r 0 *
–o-table table.qza *
–o-representative-sequences rep-seqs.qza *
–o-denoising-stats denoising-stats.qza *
–p-n-threads 0 *
–verbose &
I set --p-trim-left-f/r as 0 because i already cut the adapter by the command below:
qiime cutadapt trim-paired*
** --i-demultiplexed-sequences demux-paired-end.qza*

** --p-front-f GTGYCAGCMGCCGCGGTAA*

** --p-front-r GGACTACNVGGGTWTCTAAT*

** --o-trimmed-sequences trimed-seqs-cut.qza

and my quality plot:


it seems the quality not bad, ao i set --p-trunc-len-f/r as 0,too.
I got error as follwing after enter my command:

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpikjckh56/forward /tmp/tmpikjckh56/reverse /tmp/tmpikjckh56/output.tsv.biom /tmp/tmpikjckh56/track.tsv /tmp/tmpikjckh56/filt_f /tmp/tmpikjckh56/filt_r 0 0 0 0 2.0 2.0 2 independent consensus 1.0 1 1000000

*R version 3.5.1 (2018-07-02) *
Loading required package: Rcpp
*DADA2: 1.10.0 / Rcpp: 1.0.4.6 / RcppParallel: 5.0.0 *
1) Filtering …
2) Learning Error Rates
245289820 total bases in 1066855 reads from 14 samples will be used for learning the error rates.
Traceback (most recent call last):

  • File “/home/mzl/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 264, in denoise_paired*
  • run_commands([cmd])*
  • File “/home/mzl/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands*
  • subprocess.run(cmd, check=True)*
  • File “/home/mzl/miniconda3/envs/qiime2-2020.8/lib/python3.6/subprocess.py”, line 438, in run*
  • output=stdout, stderr=stderr)*
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpikjckh56/forward’, ‘/tmp/tmpikjckh56/reverse’, ‘/tmp/tmpikjckh56/output.tsv.biom’, ‘/tmp/tmpikjckh56/track.tsv’, ‘/tmp/tmpikjckh56/filt_f’, ‘/tmp/tmpikjckh56/filt_r’, ‘0’, ‘0’, ‘0’, ‘0’, ‘2.0’, ‘2.0’, ‘2’, ‘independent’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ died with <Signals.SIGKILL: 9>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  • File “/home/mzl/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2cli/commands.py”, line 329, in call*
  • results = action(*arguments)
  • File “”, line 2, in denoise_paired*
  • File “/home/mzl/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable*
  • output_types, provenance)*
  • File “/home/mzl/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor*
  • output_views = self._callable(*view_args)
  • File “/home/mzl/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 279, in denoise_paired*
  • " and stderr to learn more." % e.returncode)*
    Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

Plugin error from dada2:

  • An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.*

See above for debug info.

Hi @zhonglin_ma,
The -9 error code usually means a memory error… for specific troubleshooting advice I recommend searching the forum archive to read about the many other times this issue has been reported and addressed by others here:
https://forum.qiime2.org/search?q=dada2%20return%20code%20-9

Good luck!